Mailinglist Archive: opensuse-buildservice (266 mails)

< Previous Next >
Re: [opensuse-buildservice] prjconf Prefer: with distribution version check?
On Wed, Jan 30, 2013 at 04:09:31PM +0100, Hans-Peter Jansen wrote:
I would like to use a prjconf clause like this:

# aaa_base-malloccheck doesn't exist before
%if 0%{?suse_version} < 1220
Prefer: -post-build-checks
%endif

in order to build packages for older systems, that do not have that
malloccheck, without messing with each and every failing .spec..

Unfortunately, that doesn't work.

Do you really mean Prefer? Prefer only helps to disambiguate
multipe packages providing the same thing.

You'd keep post-build-checks from getting installed by using:

%if 0%{?suse_version} < 1220
Support: !post-build-checks
%endif

But maybe I just don't understand the exact problem.

Cheers,
Michael.

--
Michael Schroeder mls@xxxxxxx
SUSE LINUX Products GmbH, GF Jeff Hawn, HRB 16746 AG Nuernberg
main(_){while(_=~getchar())putchar(~_-1/(~(_|32)/13*2-11)*13);}
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References